Subject: Ticket Assigned - Product information
From: Max <[email-masked]>
To: [email-masked]
Date: Tue, 31 May 2022 01:44:13 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Product information This is the third time I’m experiencing this frustrating problem with Max. I placed my order yesterday only to receive an email minutes ago which is after 24hours that part of my order has been cancelled. At the time i placed my order, item was very much in stock. So why am I been informed with an unfortunate news. This is something Max has be consider and work on. Very very frustrating. Why must a customer suffer from whoever is in charge of packing online orders but refuses to do so when the orders are placed https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4425324